
Member Nodes - Task #5812

MNDeployment # 4700 (Operational): IARC (International Arctic Research Center) Data Archive

Task # 5759 (Closed): IARC: Testing

Task # 5788 (Closed): IARC: Registration in environment (production)

Task # 5811 (Closed): IARC: Authentication and Authorization

IARC: Science Data access

2014-07-17 20:54 - Roger Dahl

Status: Closed Start date: 2014-07-17

Priority: Normal Due date:  

Assignee: Mark Servilla % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Operational   

Story Points:    

Description

Verify that Science Data has the correct read, write and updatePermissions permissions.

Verify that Science Data can be accessed only by users who have the required permissions.

History

#1 - 2014-08-12 16:19 - Laura Moyers

- Target version changed from Deploy by end of Y5Q4 to Deploy by end of Y1Q1

#2 - 2014-10-24 16:36 - Laura Moyers

- Target version changed from Deploy by end of Y1Q1 to Deploy by end of NCTE

#3 - 2015-05-11 20:12 - Mark Servilla

- Assignee set to Mark Servilla

#4 - 2015-05-11 20:16 - Mark Servilla

- Status changed from New to Closed

- % Done changed from 0 to 100

- translation missing: en.field_remaining_hours set to 0.0

The MN urn:node:IARC correctly blocks not authorized access to data objects:

curl -i -E ./cnode.pem -X GET https://trusty.iarc.uaf.edu/mn/v1/isAuthorized/iso19139_51695860-34d5-43fb-bfce-06cb534a0611_0?action=write

HTTP/1.1 401 UNAUTHORIZED

Date: Mon, 11 May 2015 20:14:02 GMT

Server: Apache/2.4.7 (Ubuntu)

Transfer-Encoding: chunked

Content-Type: application/xml

<?xml version="1.0" ?>write on "iso19139_51695860-34d5-43fb-bfce-06cb534a0611_0" denied. Active subjects: authenticatedUser (equivalent),

CN=DataONE Production CA,DC=dataone,DC=org (primary), public (equivalent)

The MN urn:node:IARC correctly allows authorized access to data objects:

curl -i -E ./cnode.pem -X GET https://trusty.iarc.uaf.edu/mn/v1/isAuthorized/iso19139_51695860-34d5-43fb-bfce-06cb534a0611_0?action=read

HTTP/1.1 200 OK

Date: Mon, 11 May 2015 20:15:11 GMT

Server: Apache/2.4.7 (Ubuntu)

Content-Length: 2

Content-Type: text/plain
